<dialog aria-labelledby="fr-modal-registerEmailModal-title" id="registerEmailModal" class="fr-modal" role="dialog">
    <div class="fr-container fr-container--fluid fr-container-md">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn" aria-controls="registerEmailModal">Fermer</button>
                    </div>
                    <form method="post" action="{{ domain }}/action/communications/subscribe/email" class="needs-validation" novalidate>
                        <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                        <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                        <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                        <div class="fr-modal__content">
                            <h1 id="fr-modal-registerEmailModal-title" class="fr-modal__title">
                                Inscrire une ou des adresse(s) email(s)
                            </h1>
                            <div class="fr-highlight">
                                <p>Vous pouvez ajouter une ou plusieurs adresse(s) emails &agrave; une liste de diffusion en saisissant une adresse par ligne.</p>
                            </div>
                            <div class="fr-input-group">
                                <label class="fr-label" for="email-list-registration">Email(s)</label>
                                <textarea class="fr-input" id="email-list-registration" name="email" rows="8" required></textarea>
                                <p id="email-list-registration-input-error" class="fr-error-text">Veuillez saisir une ou plusieurs adresse(s) email.</p>
                            </div>
                            <div class="fr-select-group">
                                <label class="fr-label" for="communication-email-registration">Liste de diffusion</label>
                                <select class="fr-select" id="communication-email-registration" name="communication-id" required>
                                    <option value="" selected disabled hidden>Veuillez s&eacute;lectionner une liste de diffusion</option>
                                    {% if distributionLists|length > 0 %}
                                        {% for distribution in distributionLists %}
                                            <option value=""></option>
                                            {% set selected = '' %}
                                            {% if distribution.id == communication.content.distributionList.id %}
                                                {% set selected = 'selected' %}
                                            {% endif %}
                                            <option value="{{ distribution.id }}" {{ selected }}>{{ distribution.title }}</option>
                                        {% endfor %}
                                    {% else %}
                                        <option value="">Aucune liste de diffusion, veuillez en cr&eacute;er une...</option>
                                    {% endif %}
                                </select>
                                <p id="communication-email-registration-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une liste de diffusion.</p>
                            </div>
                        </div>
                        <div class="fr-modal__footer">
                            <ul class="fr-btns-group fr-btns-group--right fr-btns-group--sm fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-left">
                                <li><button class="fr-btn fr-icon-checkbox-line" type="submit">Ajouter</button></li>
                                <li><button class="fr-btn fr-icon-close-circle-line fr-btn--secondary" aria-controls="registerEmailModal">Annuler</button></li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</dialog>
